Index: ChangeLog
===================================================================
--- ChangeLog	(revision be2fc3e77569f017ddfbebe3d43e20a4a0db3b4b)
+++ ChangeLog	(revision 9cd3e3a4e65b85e24ec15ffcde8be3f0152ed603)
@@ -1,2 +1,7 @@
+2008-02-05	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* networkconfig-icecube.h, networkconfig-qemu.h, networkconfig.h:
+	Updated to include new fields and expand tabs.
+
 2007-09-25	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: networkconfig-icecube.h
===================================================================
--- networkconfig-icecube.h	(revision be2fc3e77569f017ddfbebe3d43e20a4a0db3b4b)
+++ networkconfig-icecube.h	(revision 9cd3e3a4e65b85e24ec15ffcde8be3f0152ed603)
@@ -51,11 +51,9 @@
 extern void rtems_bsdnet_loopattach();
 static struct rtems_bsdnet_ifconfig loopback_config = {
-	"lo0",				/* name */
-	rtems_bsdnet_loopattach,	/* attach function */
-
-	NULL,				/* link to next interface */
-
-	"127.0.0.1",			/* IP address */
-	"255.0.0.0",			/* IP net mask */
+        "lo0",                          /* name */
+        rtems_bsdnet_loopattach,        /* attach function */
+        NULL,                           /* link to next interface */
+        "127.0.0.1",                    /* IP address */
+        "255.0.0.0",                    /* IP net mask */
 };
 #endif
@@ -65,32 +63,32 @@
  */
 static struct rtems_bsdnet_ifconfig netdriver_config = {
-	RTEMS_BSP_NETWORK_DRIVER_NAME,		/* name */
-	RTEMS_BSP_NETWORK_DRIVER_ATTACH,	/* attach function */
+        RTEMS_BSP_NETWORK_DRIVER_NAME,          /* name */
+        RTEMS_BSP_NETWORK_DRIVER_ATTACH,        /* attach function */
 
 #ifdef RTEMS_USE_LOOPBACK 
-	&loopback_config,		/* link to next interface */
+        &loopback_config,               /* link to next interface */
 #else
-	NULL,				/* No more interfaces */
+        NULL,                           /* No more interfaces */
 #endif
 
 #if (defined (RTEMS_USE_BOOTP))
-	NULL,				/* BOOTP supplies IP address */
-	NULL,				/* BOOTP supplies IP net mask */
+        NULL,                           /* BOOTP supplies IP address */
+        NULL,                           /* BOOTP supplies IP net mask */
 #else
-	"192.168.1.244",		/* IP address */
-	"255.255.255.0",		/* IP net mask */
+        "192.168.1.244",                /* IP address */
+        "255.255.255.0",                /* IP net mask */
 #endif /* !RTEMS_USE_BOOTP */
 
 #if (defined (RTEMS_SET_ETHERNET_ADDRESS))
-	ethernet_address,               /* Ethernet hardware address */
+        ethernet_address,               /* Ethernet hardware address */
 #else
-	NULL,                           /* Driver supplies hardware address */
+        NULL,                           /* Driver supplies hardware address */
 #endif
-	0,				/* Use default driver parameters */
-        0,				/* mtu */
-        0,				/* rbuf_count */
-        0,				/* xbuf_count */
-        0,				/* port */
-        0				/* irq */
+        0,                              /* Use default driver parameters */
+        0,                              /* mtu */
+        0,                              /* rbuf_count */
+        0,                              /* xbuf_count */
+        0,                              /* port */
+        0                               /* irq */
 
 };
@@ -100,25 +98,36 @@
  */
 struct rtems_bsdnet_config rtems_bsdnet_config = {
-	&netdriver_config,
+        &netdriver_config,
 
 #if (defined (RTEMS_USE_BOOTP))
-	rtems_bsdnet_do_bootp,
+        rtems_bsdnet_do_bootp,
 #else
-	NULL,
+        NULL,
 #endif
 
-	0,				/* Default network task priority */
-	256 * 1024,			/* Default mbuf capacity */
-	256 * 1024,			/* Default mbuf cluster capacity */
+        0,                              /* Default network task priority */
+        256 * 1024,                     /* Default mbuf capacity */
+        256 * 1024,                     /* Default mbuf cluster capacity */
 
 #if (!defined (RTEMS_USE_BOOTP))
-	"rtems",		/* Host name */
-	"nodomain.com",		/* Domain name */
-	"192.168.1.14",  	/* Gateway */
-	"192.168.1.1",  	/* Log host */
-	{"192.168.1.1"  },	/* Name server(s) */
-	{"192.168.1.1"  },	/* NTP server(s) */
+        "rtems",                /* Host name */
+        "nodomain.com",         /* Domain name */
+        "192.168.1.14",         /* Gateway */
+        "192.168.1.1",          /* Log host */
+        {"192.168.1.1"  },      /* Name server(s) */
+        {"192.168.1.1"  },      /* NTP server(s) */
+#else
+        NULL,                   /* Host name */
+        NULL,                   /* Domain name */
+        NULL,                   /* Gateway */
+        NULL,                   /* Log host */
+        { NULL },               /* Name server(s) */
+        { NULL },               /* NTP server(s) */
 #endif /* !RTEMS_USE_BOOTP */
-
+        0,                      /* efficiency */
+        0,                      /* udp TX buffer */
+        0,                      /* udp RX buffer */
+        0,                      /* tcp TX buffer */
+        0,                      /* tcp RX buffer */
 };
 
Index: networkconfig-qemu.h
===================================================================
--- networkconfig-qemu.h	(revision be2fc3e77569f017ddfbebe3d43e20a4a0db3b4b)
+++ networkconfig-qemu.h	(revision 9cd3e3a4e65b85e24ec15ffcde8be3f0152ed603)
@@ -58,11 +58,9 @@
 extern void rtems_bsdnet_loopattach();
 static struct rtems_bsdnet_ifconfig loopback_config = {
-	"lo0",				/* name */
-	rtems_bsdnet_loopattach,	/* attach function */
-
-	NULL,				/* link to next interface */
-
-	"127.0.0.1",			/* IP address */
-	"255.0.0.0",			/* IP net mask */
+        "lo0",                          /* name */
+        rtems_bsdnet_loopattach,        /* attach function */
+        NULL,                           /* link to next interface */
+        "127.0.0.1",                    /* IP address */
+        "255.0.0.0",                    /* IP net mask */
 };
 #endif
@@ -72,32 +70,32 @@
  */
 static struct rtems_bsdnet_ifconfig netdriver_config = {
-	RTEMS_BSP_NETWORK_DRIVER_NAME,		/* name */
-	RTEMS_BSP_NETWORK_DRIVER_ATTACH,	/* attach function */
+        RTEMS_BSP_NETWORK_DRIVER_NAME,          /* name */
+        RTEMS_BSP_NETWORK_DRIVER_ATTACH,        /* attach function */
 
 #ifdef RTEMS_USE_LOOPBACK 
-	&loopback_config,		/* link to next interface */
+        &loopback_config,               /* link to next interface */
 #else
-	NULL,				/* No more interfaces */
+        NULL,                           /* No more interfaces */
 #endif
 
 #if (defined (RTEMS_USE_BOOTP))
-	NULL,				/* BOOTP supplies IP address */
-	NULL,				/* BOOTP supplies IP net mask */
+        NULL,                           /* BOOTP supplies IP address */
+        NULL,                           /* BOOTP supplies IP net mask */
 #else
-	"10.0.2.5",			/* IP address */
-	"255.255.255.0",		/* IP net mask */
+        "10.0.2.5",                     /* IP address */
+        "255.255.255.0",                /* IP net mask */
 #endif /* !RTEMS_USE_BOOTP */
 
 #if (defined (RTEMS_SET_ETHERNET_ADDRESS))
-	ethernet_address,               /* Ethernet hardware address */
+        ethernet_address,               /* Ethernet hardware address */
 #else
-	NULL,                           /* Driver supplies hardware address */
+        NULL,                           /* Driver supplies hardware address */
 #endif
-	0,				/* Use default driver parameters */
-	0, /* mtu */
-	0, /* rbuf_count */
-	0, /* xbuf_count */
-	0, /* port */
-	9 /* irq */
+        0,                              /* Use default driver parameters */
+        0, /* mtu */
+        0, /* rbuf_count */
+        0, /* xbuf_count */
+        0, /* port */
+        9 /* irq */
 };
 
@@ -106,24 +104,21 @@
  */
 struct rtems_bsdnet_config rtems_bsdnet_config = {
-	&netdriver_config,
+        &netdriver_config,
 
 #if (defined (RTEMS_USE_BOOTP))
-	rtems_bsdnet_do_bootp,
+        rtems_bsdnet_do_bootp,
 #else
-	NULL,
+        NULL,
 #endif
-
-	0,			/* Default network task priority */
-	256 * 1024,			/* Default mbuf capacity */
-	256 * 1024,			/* Default mbuf cluster capacity */
-
+        0,                      /* Default network task priority */
+        256 * 1024,             /* 256K - not default mbuf capacity */
+        256 * 1024,             /* 256K - not default mbuf cluster capacity */
 #if (!defined (RTEMS_USE_BOOTP))
-	"rtems",	/* Host name */
-	"",		/* Domain name */
-	"10.0.2.1",	/* Gateway */
-	"10.0.0.1",	/* Log host */
-	{"10.0.2.3" },	/* Name server(s) */
-	{"" },	/* NTP server(s) */
-
+        "rtems",        /* Host name */
+        "",             /* Domain name */
+        "10.0.2.1",     /* Gateway */
+        "10.0.0.1",     /* Log host */
+        {"10.0.2.3" },  /* Name server(s) */
+        {"" },          /* NTP server(s) */
 #endif /* !RTEMS_USE_BOOTP */
 
Index: networkconfig.h
===================================================================
--- networkconfig.h	(revision be2fc3e77569f017ddfbebe3d43e20a4a0db3b4b)
+++ networkconfig.h	(revision 9cd3e3a4e65b85e24ec15ffcde8be3f0152ed603)
@@ -37,5 +37,10 @@
   "255.0.0.0",              /* IP net mask */
   NULL,                     /* Driver supplies hardware address */
-  0                         /* Use default driver parameters */
+  0,                        /* Use default driver parameters */
+  0,                        /* default efficiency multiplier */
+  0,                        /* default udp TX socket buffer size */
+  0,                        /* default udp RX socket buffer size */
+  0,                        /* default tcp TX socket buffer size */
+  0,                        /* default tcp RX socket buffer size */
 };
 
